﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private pLeft As B4XView
	Private ivLogo As B4XImageView
	
	Private lblTitle As B4XView
	Private lblTable As B4XView
	Private lblSettings0 As B4XView
	Private lblSettings1 As B4XView
	Private chkUSB As B4XView
	Private chkBT As B4XView
	Private pInterfaces As B4XView
	

	Private pSensors1 As B4XView
	Private lvSensors1 As CustomListView

	Private lblLink As B4XView
	Private lblCalib As B4XView
	Private lblLogging As B4XView
	Private lblAbout As B4XView
	Private pCenter As B4XView
	Private lvLogs As CustomListView

	Private cboDuration As B4XComboBox
	Private txtDuration As B4XView
	Private pGeneralSettings As B4XView
	Private cboTimerFormat As B4XComboBox
	
	Dim Current_Interface As Int	'0-старт, 1-рабстол, 2-общ.настройки,3-о программе, 4-логгинг, 5-связка
	Private cboRefresh As B4XComboBox

	Private lblRun As B4XView
	
	Dim dialog As B4XDialog
	Dim ColorTemplate As B4XColorTemplate
	Private pSensorSettings As B4XView
	Private lblSensor As B4XView
	Private cboPeriod As B4XComboBox
	Private lblLineColor As B4XView
	Private cboUnit As B4XComboBox
	Private lblPointColor As B4XView
	Private cboLineSize As B4XComboBox
	Private cboPointSize As B4XComboBox
	Private cboVisibleInterval As B4XComboBox
	Private chkActivity As B4XView
	Private chkAutoRefresh As B4XView
	
	'BT
	Dim bt As Bluetooth
	Dim foundDevices As Map
	Private BTstream As AsyncStreams
	Dim connected As Boolean
	Dim searchingForDevices As Boolean
	Private currentConnection As BluetoothConnection
	
	
	Private pBT As B4XView
	Private btnDisconnect As B4XView
	Private lblConnectionState As B4XView
	Private lblSearchState As B4XView
	Private btnConnect As B4XView
	Private btnSearch As B4XView
	Private btnSend As B4XView
	Private lvBTdevices As CustomListView

	Private txtInput As B4XView
	Private txtBTLog As B4XView
	'----BT----

	Private lblSensorName As B4XView
	Private ivSensor As B4XView
	Private ivBigPicture As B4XView
	Private lvCentralSensors As CustomListView
	Private chkActiveSensor As B4XView
	
	Private dd As DDD

	Private cboRange As B4XComboBox

	Dim timSys As Timer
	Private ProgressBar As AnotherProgressBar, pProgressContainer As B4XView
	Dim ConnectedSensorsQty As Int, timConnections As Timer
	

	Private lblScanarios As B4XView
	Private lblCamera As B4XView
	
	Dim timCamera As Timer
	Dim cam As SarxosWebCam, defCamera As JavaObject
	Dim ivCam As ImageView
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
	bt.Initialize("bt")
	foundDevices.Initialize
	If bt.IsEnabled Then
		bt.Listen
	End If
	'timSys.Initialize("timSys", 1000)
	timConnections.Initialize("timConnections", 4000)
	timCamera.Initialize("timCamera", 100)
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	dd.Initialize
	'The designer script calls the DDD class. A new class instance will be created if needed.
	'In this case we want to create it ourselves as we want to access it in our code.
	xui.RegisterDesignerClass(dd)
	Root.LoadLayout("MainPage")


	

	Current_Interface = 0
	Root.Color = others.COLOR_BACKGOUND

	B4XPages.SetTitle(Me, Main.appname)
	lvSensors1.PressedColor = others.COLOR_PRESSED	'first


	ProgressBar.ProgressColor = others.COLOR_PRESSED

End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.


Sub B4XPage_CloseRequest As ResumableSub
	pProgressContainer.Visible = False

	If BTstream.IsInitialized Then
		currentConnection.Disconnect
		BTstream.Close
	End If


	ExitApplication
	Return True
End Sub

Sub B4XPage_Resize (Width As Int, Height As Int)

	If pSensorSettings.IsInitialized Then
		pSensorSettings.Left = (pCenter.width - pSensorSettings.Width)/2
		pSensorSettings.Top = (pCenter.Height - pSensorSettings.Height)/2
	End If
	If pBT.IsInitialized Then
		pBT.Left = (pCenter.width - pBT.Width)/2
	End If
	If ivCam.IsInitialized Then
		ivCam.SetLayoutAnimated(0,0,0,pCenter.Width,pCenter.Height)
	End If
End Sub
