﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=7.01
@EndOfDesignText@
'StateManager v1.12 for b4J
'Code module
Sub Process_Globals
	Dim states As Map
	Dim listPosition As Int
	Dim statesFileName, settingsFileName As String
	statesFileName = "state.dat"
	settingsFileName = "settings.properties"
	Dim Settings1 As Map
End Sub
'Gets the setting value associated with the given key.
'Returns the DefaultValue parameter if the key was not found.
Sub GetSetting2(Key As String, DefaultValue As String)
	If Settings1.IsInitialized = False Then
		'load the stored settings
		If File.Exists(File.DirApp, settingsFileName) Then 
			Settings1 = File.ReadMap(File.DirApp, settingsFileName)
		Else
			Return DefaultValue
		End If
	End If
	Dim v As String
	v = Settings1.GetDefault(Key.ToLowerCase, DefaultValue)
	Return v
End Sub
'Gets the setting value associated with the given key.
'Returns an empty string if the key was not found.
Sub GetSetting(Key As String)
	Return GetSetting2(Key, "")
End Sub
Sub SetSetting(Key As String, Value As String)
	If Settings1.IsInitialized = False Then
		'load the stored settings
		If File.Exists(File.DirApp, settingsFileName) Then 
			Settings1 = File.ReadMap(File.DirApp, settingsFileName)
		Else
			Settings1.Initialize
		End If
	End If
	Settings1.Put(Key.ToLowerCase, Value)
End Sub
'Stored the settings in a file
Sub SaveSettings
	If Settings1.IsInitialized Then
		File.WriteMap(File.DirApp, settingsFileName, Settings1)
	End If
End Sub


Sub getNextItem(list1 As List) As Object()
	listPosition = listPosition + 1
	Return list1.Get(listPosition)
End Sub
